// ============================================================ //
#ifndef _MQ6815_IAP_CFG_H__
#define _MQ6815_IAP_CFG_H__
// ============================================================ //

/* -------------------------------------------------------------*/
// IAP_Boot
void iap_boot( void);
/* -------------------------------------------------------------*/

/* -------------------------------------------------------------*/
// Normal boot start address:
// 趨ʼλ
//
#define NORMAL_BOOT_ADDRESS		(0xC500)
/* -------------------------------------------------------------*/
// xf:
//      IAP LibraryYϴСsʹ1280Byte(500(hex))ĴС,
//      ʹ߾aʼλOλַ_ʼ,С춴λַ
//      LCF(Sample Link Command File)nѽOͬλַ
/* -------------------------------------------------------------*/


/*--------------------------------------------------------------*/
// UART interface select:
// ̬ѡһΪ IAP UART ݔʹ
//
#define IAP_UART_TX20_RX21
//#define IAP_UART_TX21_RX20
//#define IAP_UART_TX26_RX27
//#define IAP_UART_TX27_RX26
//#define IAP_UART_TX90_RX91
//#define IAP_UART_TX91_RX90
/* -------------------------------------------------------------*/ 
// xf:
//      IAP_UART_TX20_RX21: ʹP2.0lͶ˿,P2.1ն˿
//      IAP_UART_TX21_RX20: ʹP2.1lͶ˿,P2.0ն˿
//      IAP_UART_TX26_RX27: ʹP2.6lͶ˿,P2.7ն˿
//      IAP_UART_TX27_RX26: ʹP2.7lͶ˿,P2.6ն˿
//      IAP_UART_TX90_RX91: ʹP9.0lͶ˿,P9.1ն˿
//      IAP_UART_TX91_RX90: ʹP9.1lͶ˿,P9.0ն˿
//
//      ͨ첽շ(UART)MBԔx:
//
//      1.IAP_UART_CR_ADR: ˿ƼĴַ(PxCR)
//      2.IAP_UART_TX_PIN: UARTݔ˿Bitֵ
//      3.IAP_UART_RX_PIN: UARTݔ˿Bitֵ
//      4.IAP_UART_FC_ADR: ˿ڹܿƼĴַ(PxFC)
//      5.IAP_UART_POFFCR1_VALUE: ͺĵĴ1Oֵ(POFFCR1)
//      6.IAP_UART_UATCNG_VALUE: UARTƼĴOֵ(UATCNG)
//      7.IAP_UART_TDRDBUF_ADR: UART/lݼĴַ(TDxBUF/RDxBUF(ַͬ))  
//      8.IAP_UART_SR_ADR: UART״̬Ĵַ(UARTxSR)
//      9.IAP_UART_DR_ADR: UARTʼĴַ(UARTxDR)
//     10.IAP_UART_CR1_ADR: UARTƼĴ1ַ(UARTxCR1)
//     11.IAP_UART_CR2_ADR: UARTƼĴ2ַ(UARTxCR2)
/* -------------------------------------------------------------*/ 

/* -------------------------------------------------------------*/
// Baud rate select:
// ̬ѡһΪ IAP UART Baudrate Speedʹ
//
#define BAUDRATE_115200
//#define BAUDRATE_57600
//#define BAUDRATE_38400
//#define BAUDRATE_19200
//#define BAUDRATE_9600
//#define BAUDRATE_4800
/*--------------------------------------------------------------*/
// xf:
//      BAUDRATE_115200: Oͨ첽շ֮շʞ115200
//      BAUDRATE_57600:  Oͨ첽շ֮շʞ57600
//      BAUDRATE_38400:  Oͨ첽շ֮շʞ38400
//      BAUDRATE_19200:  Oͨ첽շ֮շʞ19200
//      BAUDRATE_9600:   Oͨ첽շ֮շʞ9600
//      BAUDRATE_4800:   Oͨ첽շ֮շʞ4800
//
//      ͨ첽շ֮շ(baud rate)MBԔx:
//
//      1.BAUDRATE_DR_VALUE: ʼĴ֮Oֵ
//      2.BAUDRATE_RTSEL_VALUE: RTʱ֮Oֵ
/*--------------------------------------------------------------*/

/*--------------------------------------------------------------*/
// UART control setting (parity / stop bit / even)
// O 1. (/o)żУ
//      2. (/ż)żУ
//      3. Ͷ˽λ
//      4. ն˽λ
//      
#define UART_CR1_VALUE       (0x00)
#define UART_CR2_VALUE       (0x00)
/*--------------------------------------------------------------*/
// :ożУ,Ͷ˽λ1λ,ն˽λ1λ
//      UART_CR1_VALUE = 0x00
//      UART_CR2_VALUE = 0x00
//
// :ożУ,Ͷ˽λ2λ,ն˽λ2λ
//      UART_CR1_VALUE = 0x20
//      UART_CR2_VALUE = 0x01
//
// :żУ,żУ,Ͷ˽λ1λ,ն˽λ1λ
//      UART_CR1_VALUE = 0x08
//      UART_CR2_VALUE = 0x00
//
// :żУ,żУ,Ͷ˽λ2λ,ն˽λ2λ
//      UART_CR1_VALUE = 0x28
//      UART_CR2_VALUE = 0x01
//
// :żУ,żżУ,Ͷ˽λ1λ,ն˽λ1λ
//      UART_CR1_VALUE = 0x18
//      UART_CR2_VALUE = 0x00
//
// :żУ,żżУ,Ͷ˽λ2λ,ն˽λ2λ
//      UART_CR1_VALUE = 0x38
//      UART_CR2_VALUE = 0x01
/* -------------------------------------------------------------*/

/* -------------------------------------------------------------*/
// Enable boot PIN setting: 
// ̬ѡһΪ IAP Boot ДǷʹ

// #define IAP_BOOT_PIN_P00
// #define IAP_BOOT_PIN_P01
// #define IAP_BOOT_PIN_P20
// #define IAP_BOOT_PIN_P21
// #define IAP_BOOT_PIN_P22
// #define IAP_BOOT_PIN_P23
// #define IAP_BOOT_PIN_P24
// #define IAP_BOOT_PIN_P25
// #define IAP_BOOT_PIN_P26
// #define IAP_BOOT_PIN_P27
#define IAP_BOOT_PIN_P42
// #define IAP_BOOT_PIN_P43
// #define IAP_BOOT_PIN_P44
// #define IAP_BOOT_PIN_P45
// #define IAP_BOOT_PIN_P46
// #define IAP_BOOT_PIN_P47
// #define IAP_BOOT_PIN_P51
// #define IAP_BOOT_PIN_P52
// #define IAP_BOOT_PIN_P53
// #define IAP_BOOT_PIN_P54
// #define IAP_BOOT_PIN_P55
// #define IAP_BOOT_PIN_P56
// #define IAP_BOOT_PIN_P57
// #define IAP_BOOT_PIN_P70
// #define IAP_BOOT_PIN_P71
// #define IAP_BOOT_PIN_P72
// #define IAP_BOOT_PIN_P73
// #define IAP_BOOT_PIN_P74
// #define IAP_BOOT_PIN_P75
// #define IAP_BOOT_PIN_P76
// #define IAP_BOOT_PIN_P77
// #define IAP_BOOT_PIN_P80
// #define IAP_BOOT_PIN_P81
// #define IAP_BOOT_PIN_P82
// #define IAP_BOOT_PIN_P83
// #define IAP_BOOT_PIN_P84
// #define IAP_BOOT_PIN_P85
// #define IAP_BOOT_PIN_P86
// #define IAP_BOOT_PIN_P87
// #define IAP_BOOT_PIN_P90
// #define IAP_BOOT_PIN_P91
// #define IAP_BOOT_PIN_P92
// #define IAP_BOOT_PIN_P93
/* -------------------------------------------------------------*/
// xf:
//      Ӷ˿ڽMBԔO:
//      1.IAP_BOOT_PIN_FC_REG:˿ڹܿƼĴλַ(PxFC)
//      2.IAP_BOOT_PIN_PU_REG:˿ƼĴλַ(PxPU)
//      3.IAP_BOOT_PIN_PD_REG:˿ƼĴλַ(PxPD)
//      4.IAP_BOOT_PIN_CR_REG:˿ƼĴλַ(PxCR)
//      5.IAP_BOOT_PIN_PRD_REG:˿ݼĴλַ(PxPRD)
//      6.IAP_BOOT_PIN_BIT:˿Bitλֵ
/* -------------------------------------------------------------*/

/* -------------------------------------------------------------*/
// IAP boot pin default level:
// 趨 IAP Boot ˿(ʼ)λ
// ʼ(Default) Oλ(High) = 0x01;
//               Oλ(Low)  = 0x00;
#define IAP_BOOT_GPIO_DEFAULT_HIGH_LOW (0x00)
/* -------------------------------------------------------------*/

/* -------------------------------------------------------------*/
// IAP boot pin enable level
// 趨 IAP Boot ˿()λ
// (Enable)  Oλ(High) = 0x01;
//               Oλ(Low)  = 0x00;
#define IAP_BOOT_GPIO_ENABLE_HIGH_LOW  (0x01)
/* -------------------------------------------------------------*/

/* -------------------------------------------------------------*/
// IAP Boot related data structure
// 
typedef struct
{
	// Memory address related
	unsigned int    norBootAddr;
	
	// Boot pin related
	volatile unsigned char	 *ptrBootPinPU;     // pointer to Boot GPIO Pin Pull-Up register
	volatile unsigned char	 *ptrBootPinPD;     // pointer to Boot GPIO Pin Pull-Down register
	volatile unsigned char	 *ptrBootPinPRD;    // pointer to Boot GPIO Pin PRD register
	volatile unsigned char	 valBootDefaultHL;  // pointer to Boot GPIO Default High/Low
	volatile unsigned char	 valBootEnableHL;   // pointer to Boot GPIO Enable High/Low
	unsigned char            valBootPinBit;     // Ex 0x02 is Px2
	
	// UART releted
	volatile unsigned char    *ptrUartPinCR;    // pointer to UART GPIO control register
	volatile unsigned char    *ptrUartPinFC;    // pointer to UART GPIO function register
	volatile unsigned char    valUartTxPin;     // vaule to UART GPIO Tx Pin's bit
	volatile unsigned char    valUartRxPin;     // vaule to UART GPIO Rx Pin's bit
	volatile unsigned char    valUATCNG;        // value to UART TxRx control register
	volatile unsigned char    valPOFFCR1;       // value to POFFCR1 
	
	volatile unsigned char	 *ptrUartTxRxBUF;   // Pointer to UART Tx/Rx buffer register
	volatile unsigned char	 *ptrUartSR;        // Pointer to UART status byte
	volatile unsigned char    valUartDR;        // value to baud rate (DR)related
	volatile unsigned char    valUartRTSEL;     // value to baud rate (RTSEL) related
	volatile unsigned char    valUartCR1;       // value to UART control register 1
	volatile unsigned char    valUartCR2;       // value to UART control register 2

}IAP_Define;


extern IAP_Define IAP_Dev_define;   // define IAP related registers & runtime variable

/*--------------------------------------------------------------*/
// IAP UART configure define detail 
#ifdef IAP_UART_TX20_RX21
// 1. UART0 Tx: P20 Rx: P21        -->
#define IAP_UART_CR_ADR         (0x0F1C)
#define IAP_UART_TX_PIN         (0x01)
#define IAP_UART_RX_PIN			(0x02)
#define IAP_UART_FC_ADR         (0x0F36)

#define IAP_UART_POFFCR1_VALUE  (0x01)         // UART0
#define IAP_UART_UATCNG_VALUE   (0x00)
#define IAP_UART_TDRDBUF_ADR    (0x001E)       // UART0 Tx Rx buffer register address
#define IAP_UART_SR_ADR         (0x001D)       // UART0 Status register address
#define IAP_UART_DR_ADR         (0x001C)
#define IAP_UART_CR1_ADR        (0x001A)
#define IAP_UART_CR2_ADR        (0x001B)
#endif

#ifdef IAP_UART_TX21_RX20
// 2. UART0 Tx: P21 Rx: P20        -->
#define IAP_UART_CR_ADR         (0x0F1C)
#define IAP_UART_TX_PIN         (0x02)
#define IAP_UART_RX_PIN			(0x01)
#define IAP_UART_FC_ADR         (0x0F36)

#define IAP_UART_POFFCR1_VALUE  (0x01)         // UART0
#define IAP_UART_UATCNG_VALUE   (0x01)
#define IAP_UART_TDRDBUF_ADR    (0x001E)       // UART0 Tx Rx buffer register address
#define IAP_UART_SR_ADR         (0x001D)       // UART0 Status register address
#define IAP_UART_DR_ADR         (0x001C)
#define IAP_UART_CR1_ADR        (0x001A)
#define IAP_UART_CR2_ADR        (0x001B)
#endif 

#ifdef IAP_UART_TX26_RX27
// 3. UART1 Tx: P26 Rx: P27        -->
#define IAP_UART_CR_ADR         (0x0F1C)
#define IAP_UART_TX_PIN         (0x40)
#define IAP_UART_RX_PIN			(0x80)
#define IAP_UART_FC_ADR         (0x0F36)

#define IAP_UART_POFFCR1_VALUE  (0x02)         // UART1
#define IAP_UART_UATCNG_VALUE   (0x04)         
#define IAP_UART_TDRDBUF_ADR    (0x0F58)       // UART1 Tx Rx buffer register address
#define IAP_UART_SR_ADR         (0x0F57)       // UART1 Status register address 
#define IAP_UART_DR_ADR         (0x0F56)
#define IAP_UART_CR1_ADR        (0x0F54)
#define IAP_UART_CR2_ADR        (0x0F55)
#endif

#ifdef IAP_UART_TX27_RX26
// 4. UART1 Tx: P27 Rx: P26        -->
#define IAP_UART_CR_ADR         (0x0F1C)
#define IAP_UART_TX_PIN         (0x80)
#define IAP_UART_RX_PIN			(0x40)
#define IAP_UART_FC_ADR         (0x0F36)

#define IAP_UART_POFFCR1_VALUE  (0x02)         // UART1
#define IAP_UART_UATCNG_VALUE   (0x06)
#define IAP_UART_TDRDBUF_ADR    (0x0F58)       // UART1 Tx Rx buffer register address
#define IAP_UART_SR_ADR         (0x0F57)       // UART1 Status register address
#define IAP_UART_DR_ADR         (0x0F56)
#define IAP_UART_CR1_ADR        (0x0F54)
#define IAP_UART_CR2_ADR        (0x0F55)
#endif


#ifdef IAP_UART_TX90_RX91
// 5. UART1 Tx: P90 Rx: P91        -->
#define IAP_UART_CR_ADR         (0x0F23)
#define IAP_UART_TX_PIN         (0x01)
#define IAP_UART_RX_PIN			(0x02)
#define IAP_UART_FC_ADR         (0x0F3D)

#define IAP_UART_POFFCR1_VALUE  (0x02)         // UART1
#define IAP_UART_UATCNG_VALUE   (0x00)
#define IAP_UART_TDRDBUF_ADR    (0x0F58)       // UART1 Tx Rx buffer register address
#define IAP_UART_SR_ADR         (0x0F57)       // UART1 Status register address
#define IAP_UART_DR_ADR         (0x0F56)
#define IAP_UART_CR1_ADR        (0x0F54)
#define IAP_UART_CR2_ADR        (0x0F55)
#endif


#ifdef IAP_UART_TX91_RX90
// 6. UART1 Tx: P91 Rx: P90        -->
#define IAP_UART_CR_ADR         (0x0F23)
#define IAP_UART_TX_PIN         (0x02)
#define IAP_UART_RX_PIN			(0x01)
#define IAP_UART_FC_ADR         (0x0F3D)

#define IAP_UART_POFFCR1_VALUE  (0x02)         // UART1
#define IAP_UART_UATCNG_VALUE   (0x02)
#define IAP_UART_TDRDBUF_ADR    (0x0F58)       // UART1 Tx Rx buffer register address
#define IAP_UART_SR_ADR         (0x0F57)       // UART1 Status register address
#define IAP_UART_DR_ADR         (0x0F56)
#define IAP_UART_CR1_ADR        (0x0F54)
#define IAP_UART_CR2_ADR        (0x0F55)
#endif 
/* -------------------------------------------------------------*/

/*--------------------------------------------------------------*/
// IA UART baud rate speed define detail
#ifdef  BAUDRATE_115200
#define BAUDRATE_DR_VALUE       (0x08)
#define BAUDRATE_RTSEL_VALUE    (0x03 << 3) 
#endif

#ifdef  BAUDRATE_57600
#define BAUDRATE_DR_VALUE       (0x11)
#define BAUDRATE_RTSEL_VALUE    (0x03 << 3) 
#endif

#ifdef  BAUDRATE_38400
#define BAUDRATE_DR_VALUE       (0x19)
#define BAUDRATE_RTSEL_VALUE    (0x00 << 3) 
#endif

#ifdef  BAUDRATE_19200
#define BAUDRATE_DR_VALUE       (0x30)
#define BAUDRATE_RTSEL_VALUE    (0x04 << 3) 
#endif

#ifdef  BAUDRATE_9600
#define BAUDRATE_DR_VALUE       (0x64)
#define BAUDRATE_RTSEL_VALUE    (0x01 << 3) 
#endif

#ifdef  BAUDRATE_4800
#define BAUDRATE_DR_VALUE       (0xC9)
#define BAUDRATE_RTSEL_VALUE    (0x01 << 3) 
#endif
/* -------------------------------------------------------------*/

/* -------------------------------------------------------------*/
// Boot pin define register detail
#ifdef IAP_BOOT_PIN_P00
#define IAP_BOOT_PIN_FC_REG                      (0x0F34)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F27)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F00)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1A)
#define IAP_BOOT_PIN_PRD_REG                     (0x000D)
#define IAP_BOOT_PIN_BIT                         (0x01)
#endif

#ifdef IAP_BOOT_PIN_P01
#define IAP_BOOT_PIN_FC_REG                      (0x0F34)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F27)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F00)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1A)
#define IAP_BOOT_PIN_PRD_REG                     (0x000D)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P20
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x01)
#endif

#ifdef IAP_BOOT_PIN_P21
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P22
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x04)
#endif

#ifdef IAP_BOOT_PIN_P23
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x08)
#endif

#ifdef IAP_BOOT_PIN_P24
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x10)
#endif

#ifdef IAP_BOOT_PIN_P25
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x20)
#endif

#ifdef IAP_BOOT_PIN_P26
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x40)
#endif

#ifdef IAP_BOOT_PIN_P27
#define IAP_BOOT_PIN_FC_REG                      (0x0F36)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F29)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F02)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1C)
#define IAP_BOOT_PIN_PRD_REG                     (0x000F)
#define IAP_BOOT_PIN_BIT                         (0x80)
#endif

#ifdef IAP_BOOT_PIN_P40
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x01)
#endif

#ifdef IAP_BOOT_PIN_P41
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P42
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x04)
#endif

#ifdef IAP_BOOT_PIN_P43
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x08)
#endif

#ifdef IAP_BOOT_PIN_P44
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x10)
#endif

#ifdef IAP_BOOT_PIN_P45
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x20)
#endif

#ifdef IAP_BOOT_PIN_P46
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x40)
#endif

#ifdef IAP_BOOT_PIN_P47
#define IAP_BOOT_PIN_FC_REG                      (0x0F38)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2B)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F04)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1E)
#define IAP_BOOT_PIN_PRD_REG                     (0x0011)
#define IAP_BOOT_PIN_BIT                         (0x80)
#endif

#ifdef IAP_BOOT_PIN_P51
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P52
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x04)
#endif

#ifdef IAP_BOOT_PIN_P53
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x08)
#endif

#ifdef IAP_BOOT_PIN_P54
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x10)
#endif

#ifdef IAP_BOOT_PIN_P55
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x20)
#endif

#ifdef IAP_BOOT_PIN_P56
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x40)
#endif

#ifdef IAP_BOOT_PIN_P57
#define IAP_BOOT_PIN_FC_REG                      (0x0F39)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2C)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F05)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F1F)
#define IAP_BOOT_PIN_PRD_REG                     (0x0012)
#define IAP_BOOT_PIN_BIT                         (0x80)
#endif

#ifdef IAP_BOOT_PIN_P70
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x01)
#endif

#ifdef IAP_BOOT_PIN_P71
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P72
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x04)
#endif

#ifdef IAP_BOOT_PIN_P73
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x08)
#endif

#ifdef IAP_BOOT_PIN_P74
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x10)
#endif

#ifdef IAP_BOOT_PIN_P75
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x20)
#endif

#ifdef IAP_BOOT_PIN_P76
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x40)
#endif

#ifdef IAP_BOOT_PIN_P77
#define IAP_BOOT_PIN_FC_REG                      (0x0F3B)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2E)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F07)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F21)
#define IAP_BOOT_PIN_PRD_REG                     (0x0014)
#define IAP_BOOT_PIN_BIT                         (0x80)
#endif

#ifdef IAP_BOOT_PIN_P80
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x01)
#endif

#ifdef IAP_BOOT_PIN_P81
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P82
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x04)
#endif

#ifdef IAP_BOOT_PIN_P83
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x08)
#endif

#ifdef IAP_BOOT_PIN_P84
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x10)
#endif

#ifdef IAP_BOOT_PIN_P85
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x20)
#endif

#ifdef IAP_BOOT_PIN_P86
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x40)
#endif

#ifdef IAP_BOOT_PIN_P87
#define IAP_BOOT_PIN_FC_REG                      (0x0F3C)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F2F)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F08)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0015)
#define IAP_BOOT_PIN_BIT                         (0x80)
#endif

#ifdef IAP_BOOT_PIN_P90
#define IAP_BOOT_PIN_FC_REG                      (0x0F3D)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F30)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F09)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0016)
#define IAP_BOOT_PIN_BIT                         (0x01)
#endif

#ifdef IAP_BOOT_PIN_P91
#define IAP_BOOT_PIN_FC_REG                      (0x0F3D)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F30)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F09)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0016)
#define IAP_BOOT_PIN_BIT                         (0x02)
#endif

#ifdef IAP_BOOT_PIN_P92
#define IAP_BOOT_PIN_FC_REG                      (0x0F3D)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F30)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F09)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0016)
#define IAP_BOOT_PIN_BIT                         (0x04)
#endif

#ifdef IAP_BOOT_PIN_P93
#define IAP_BOOT_PIN_FC_REG                      (0x0F3D)       
#define IAP_BOOT_PIN_PU_REG                      (0x0F30)       
#define IAP_BOOT_PIN_PD_REG                      (0x0F09)       
#define IAP_BOOT_PIN_CR_REG                      (0x0F22)
#define IAP_BOOT_PIN_PRD_REG                     (0x0016)
#define IAP_BOOT_PIN_BIT                         (0x08)
#endif
/* -------------------------------------------------------------*/
/* -------------------------------------------------------------*/

// ============================================================ //
#endif
// ============================================================ //
// 
// 

